Page MenuHomePhabricator

Hard deprecate Revision::isDeleted
Closed, ResolvedPublic

Description

Deployed uses outside of core:

  • Wikibase RepoHooks::onPageHistoryLineEnding
  • Thanks ThanksHooks::insertThankLink - handler for two hooks that will need to be replaced

In core:

In core tests: RevisionDbTest, RevisionTest

Event Timeline

DannyS712 created this task.May 1 2020, 5:55 AM
Restricted Application added projects: Growth-Team, Wikidata. · View Herald TranscriptMay 1 2020, 5:55 AM
DannyS712 updated the task description. (Show Details)May 1 2020, 6:02 PM

Change 593826 had a related patch set uploaded (by DannyS712; owner: DannyS712):
[mediawiki/core@master] Replace Article::$mRevision with RevisionRecord

https://gerrit.wikimedia.org/r/593826

DannyS712 updated the task description. (Show Details)May 3 2020, 12:36 AM

Change 594246 had a related patch set uploaded (by DannyS712; owner: DannyS712):
[mediawiki/extensions/Wikibase@master] Remove use of Revision objects in RepoHooks::onPageHistoryLineEnding

https://gerrit.wikimedia.org/r/594246

DannyS712 claimed this task.May 4 2020, 6:47 PM

Change 594326 had a related patch set uploaded (by DannyS712; owner: DannyS712):
[mediawiki/extensions/Thanks@master] Reduce use of Revision objects in ThanksHooks

https://gerrit.wikimedia.org/r/594326

Change 593826 merged by jenkins-bot:
[mediawiki/core@master] Replace Article::$mRevision with RevisionRecord

https://gerrit.wikimedia.org/r/593826

DannyS712 updated the task description. (Show Details)May 4 2020, 11:33 PM

Change 594246 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Remove use of Revision objects in RepoHooks::onPageHistoryLineEnding

https://gerrit.wikimedia.org/r/594246

DannyS712 updated the task description. (Show Details)May 7 2020, 4:04 PM
DannyS712 updated the task description. (Show Details)May 27 2020, 11:06 PM
DannyS712 added subscribers: BPirkle, cicalese.

@BPirkle @cicalese can you take a look at https://gerrit.wikimedia.org/r/#/c/mediawiki/extensions/Thanks/+/594326/ please? Its the only patch remaining before the method can be hard deprecated.

Change 594326 merged by jenkins-bot:
[mediawiki/extensions/Thanks@master] Reduce use of Revision objects in ThanksHooks

https://gerrit.wikimedia.org/r/594326

DannyS712 updated the task description. (Show Details)

Will wait for T251073: Hard deprecate Revision::getPrevious to be ready and hard deprecate them both at the same time - only waiting for https://gerrit.wikimedia.org/r/#/c/599983/

Change 601916 had a related patch set uploaded (by DannyS712; owner: DannyS712):
[mediawiki/core@master] Hard deprecate Revision::getPrevious and ::isDeleted

https://gerrit.wikimedia.org/r/601916

Change 601916 merged by jenkins-bot:
[mediawiki/core@master] Hard deprecate Revision::getPrevious and ::isDeleted

https://gerrit.wikimedia.org/r/601916

DannyS712 closed this task as Resolved.Wed, Jun 3, 2:53 AM
DannyS712 removed a project: Patch-For-Review.